Bug 1416057 - gnome-shell-browser-plugin does not work with Firefox 52 ESR (RHEL 7)
Summary: gnome-shell-browser-plugin does not work with Firefox 52 ESR (RHEL 7)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell-extensions
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 13:53 UTC by Oliver Ilian
Modified: 2018-09-03 15:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-03 15:41:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Oliver Ilian 2017-01-24 13:53:25 UTC
Description of problem:
Firefox (firefox-52.0-0.7.el7_3.x86_64) does not allows you to install extensions from http://extensions.gnome.org/

Version-Release number of selected component (if applicable):
firefox-52.0-0.7.el7_3.x86_64
gnome-shell-browser-plugin-3.14.4-53.el7.x86_64

Steps to Reproduce:
1. install the test version of Firefox 52
2. visit http://extensions.gnome.org/

Actual results:
page says: "We cannot detect a running copy of GNOME on this system, so some parts of the interface may be disabled. See our troubleshooting entry for more information."

Expected results:
Page should see which gnome version I use and offer extensions

Additional info:
I have several other extensions installed, and they are all enabled like it was in Firefox 45 ESR, however some stopped working, like: cliget (
https://github.com/zaidka/cliget)

Comment 1 Martin Stransky 2017-01-24 15:01:11 UTC
That's NPAPI plugin and it should be enabled in final ESR52. They're going to be disabled in next ESR59.

Comment 2 Tomas Pelka 2017-02-28 18:32:22 UTC
(In reply to Martin Stransky from comment #1)
> That's NPAPI plugin and it should be enabled in final ESR52. They're going
> to be disabled in next ESR59.

Now that we should have almost final build https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=541255 I believe we can try this issue again, correct Martin?

Comment 3 Martin Stransky 2017-03-01 07:43:32 UTC
Yes, the NPAPI plugins should be enabled in the ESR52.

Comment 4 Oliver Ilian 2017-03-01 11:26:43 UTC
I can confirm that this is fixed in firefox-52.0-1.el7_3.x86_64

Comment 5 Florian Müllner 2018-09-03 15:41:15 UTC
Marking as closed as of comment #4.

Discussion on how to handle the removal of NPAPI support is in bug 1609200.


Note You need to log in before you can comment on or make changes to this bug.